curl --request PUT \
--url https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/orders/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dish_ids": [
"692a4a34a46ecf001f35ac6f",
"6a4a857c022eb7001f9b8972",
"6b7c2441a0db43001f9bf377"
],
"priority": 3,
"status": "Received"
}
'import requests
url = "https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/orders/{id}"
payload = {
"dish_ids": ["692a4a34a46ecf001f35ac6f", "6a4a857c022eb7001f9b8972", "6b7c2441a0db43001f9bf377"],
"priority": 3,
"status": "Received"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dish_ids: [
'692a4a34a46ecf001f35ac6f',
'6a4a857c022eb7001f9b8972',
'6b7c2441a0db43001f9bf377'
],
priority: 3,
status: 'Received'
})
};
fetch('https://reimagined-journey-g45xxv4v6gwhvrrr-80.app.github.dev/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "674d0bf5c28b69001f8e03a1",
"created_at": "2024-04-22T10:00:00Z",
"updated_at": "2024-04-22T10:00:00Z",
"name": "John",
"table_number": 8,
"dish_ids": [
"692a4a34a46ecf001f35ac6f",
"6a4a857c022eb7001f9b8972",
"6b7c2441a0db43001f9bf377"
],
"special_requests": "<string>",
"priority": 3,
"scheduled_at": null,
"status": "Received"
}
],
"total_results": 1
}{
"title": "Human-readable error title.",
"detail": "Human-readable error details."
}{
"title": "Human-readable error title.",
"detail": "Human-readable error details."
}{
"title": "Human-readable error title.",
"detail": "Human-readable error details."
}Update a specific order
Add or remove dish_ids or update the order’s priority and status.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique order identifier, generated when the order was created.
Body
The request body to update an order requires only the properties to be updated.
Order properties that can be updated: dish_ids, priority, and status.
The list of unique dish ids included in an order.
[
"692a4a34a46ecf001f35ac6f",
"6a4a857c022eb7001f9b8972",
"6b7c2441a0db43001f9bf377"
]
The priority of an order. Defaults to 3 but can be changed as needed. Highest priority is 0, lowest is 5.
Orders will often be sorted by priority to ensure highest priority orders are prepared first.
0 <= x <= 5Indicates the status of the order preparation.
The expeditor will use this field to sort incoming orders and determine what dishes are ready to be prepared and assembled by station.
Draft, Received, In Progress, Ready for Assembly, On the Way, Ready for Pickup "Received"